package physbeans.event;

import java.util.*;

/**
 * Event used to tell the observers to restart
 */
public class RestartEvent extends EventObject {

  /** value of simulated time after restart */
  protected double startTime;

  /**
   * constructor using the event source
   */
  public RestartEvent(Object source) {
    super(source);
  }


  /**
   * constructor using the event source and the current time
   */
  public RestartEvent(Object source, double time) {
    super(source);
    startTime = time;
  }

  /**
   * returns time after restart
   */
  public double getValue() {
    return startTime;
  }
}
