package physbeans.func;

import physbeans.math.*;

/**
 * Constant vector of double values
 * given explicitely as a property value.
 */
public class ConstantVector extends GenericVectorFunction {
  
  /** Creates a new instance of ConstantVector */
  public ConstantVector() {
    super(0, 1, 3);
    outputValues[0] = new DVector(1.0, 2.0, 3.0);
  }
  
  /**
   * Gets the constant vector value.
   */
  public DVector getVector() {
    return outputValues[0];
  }
  
  /**
   * Sets the constant vector value.
   */
  public void setVector(DVector v) {
    outputValues[0] = v;
  }
  
  /**
   * simply returns (constant precomputed) output vector.
   */
  protected void compute() {
  }
  
}
