package physbeans.func;

/**
 * Produces double vector with equally distributed random values
 * between given minimal and maximal values.
 * Input is the size of the vector.
 */
public class UniformRandomVector extends RandomVector {

  protected double minVal;
  protected double maxVal;

  /**
   * Creates default UniformRandomVector.
   */
  public UniformRandomVector() {
    super();
    minVal = 0.0;
    maxVal = 1.0;

    compute();
  }

  /**
   * Gets minimal value for random numbers.
   */
  public double getMinVal() {
    return this.minVal;
  }

  /**
   * Sets minimal value for random numbers.
   */
  public void setMinVal(double minVal) {
    this.minVal = minVal;
    trigger();
  }

  /**
   * Gets maximal value for random numbers.
   */
  public double getMaxVal() {
    return this.maxVal;
  }

  /**
   * Sets maximal value for random numbers.
   */
  public void setMaxVal(double maxVal) {
    this.maxVal = maxVal;
    trigger();
  }

  /**
   * Computes one random number.
   * The input argument is ignored.
   */
  public double evaluate(double t) {
    return minVal + (maxVal - minVal) * rng.nextDouble();
  }
}
