package physbeans.inout;

import java.awt.*;
import javax.swing.*;
import java.io.*;
import physbeans.inout.PhysicsPanel;

/**
 * Panel that contains the input elements
 */
public class InputPanel extends PhysicsPanel implements Serializable {
  
  protected Color bgColor = new Color(100, 255, 255);  // light cyan
  
  /**
   * makes a new InputPanel<br>
   * uses BoxLayout<br>
   * sets standard colors
   */
  public InputPanel(int axis) {
    super();
    setLayout(new BoxLayout(this, axis));
    setBackground(bgColor);
    setForeground(Color.black);
    setOpaque(true);  // sets color for its components
    setBorder(BorderFactory.createEtchedBorder());
  }
  
  /**
   * default constructor: use vertical layout
   **/
  public InputPanel() {
    this(BoxLayout.Y_AXIS);
  }
}
