package physbeans.phys;

import java.util.*;

/**
 * Bundle of several LightRays that is produced by a LightSource.
 */
public class LightRayBundle {
  
  protected Vector<LightRay> rays;
  
  /**
   * Creates an empty bundle of LightRays.
   */
  public LightRayBundle() {
    rays = new Vector<LightRay>(5);
  }
  
  /**
   * Gets the ray number i.
   */
  public LightRay getRay(int i) {
    return (LightRay) rays.get(i);
  }
  
  /**
   * Adds a ray to the bundle.
   */
  public void addRay(LightRay ray) {
    rays.add(ray);
  }
  
  /**
   * Gets number of rays in the bundle.
   */
  public int getNRays() {
    return rays.size();
  }
}
